behavior_name=surface
# climb to surface with ballast pump full out
# pitch servo'ed to 26 degrees
# Hand Written
# 10 July 2010 ballsup@webbresearch.com based on legacy surfac10.ma
# 2017-08-24 lcooney@teledyne.com Added c_use_bpump 0 for Autoballast (M#1577)

# Come up every three hours

<start:b_arg>

    b_arg: start_when(enum)         13 		   # 13 = when_utc_timestamp ; 11 = when requested by science
    b_arg: end_action(enum)         1              # 0-quit, 1 wait for ^C quit/resume, 2 resume, 3 drift til "end_wpt_dist"
    b_arg: when_secs(sec)           1800          # When using start_when=13 when_utc_timestamp
						   # specify when_secs for the following: 
                                                   #    0=one time only, exactly at timestamp
                                                   #   -1=triggers any point after timestamp
                                                   #   >0=repetition period after timestamp
												   
   b_arg: when_utc_timestamp(dtime) 0206141200     #! simple=False
                                                   # date/time to activate, represented as:
                                                   # yymmddhhmm, year/month/day/hour/minute
                                                   # starting year is set in u_mission_year_base (default 2000)
                                                   # NOTE: must also change the when_secs arg

    b_arg: when_utc_on_surface(bool) 1             #! simple=False
                                                   # If true (>0), adjust when_utc_month/day/hour/min 
                                       		   # to get glider on surface by this time. 

    b_arg: gps_wait_time(s)         300           # how long to wait for gps
    b_arg: keystroke_wait_time(sec) 300           # how long to wait for control-C
    b_arg: when_wpt_dist(m)         10            # how close to waypoint before surface, only if start_when==7
    b_arg: c_use_bpump(enum)        0  # use autoballast on surface climb (requires autoballast yo)
    b_arg: c_use_pitch(enum)        3             # 3:servo
    b_arg: c_pitch_value(X)         0.4538        # 26 deg

    b_arg: printout_cycle_time(sec) 40.0 # How often to print dialog

<end:b_arg>
